net.sf.jasperreports.data.cache

## Class RunLengthStore

- java.lang.Object
- - net.sf.jasperreports.data.cache.RunLengthStore

-     public class RunLengthStore
      extends java.lang.Object

  Version:
    $Id: RunLengthStore.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `MAX_RUN_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunLengthStore(ArrayStore store)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnValues` | `applyRunLengths(ValueLength valueLength)`
    `int` | `getMaxRunLength()`
    `int` | `getRunCount()`
    `int` | `getRunStart()`
    `void` | `reset()`
    `java.lang.String` | `toString()`
    `protected boolean` | `useRunLength(int count, ValueLength valueLength, ValueLength runLength)`
    `void` | `valueAdded()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_RUN_LENGTH

          protected static final int MAX_RUN_LENGTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RunLengthStore

          public RunLengthStore(ArrayStore store)

  - ### Method Detail

    - #### reset

          public void reset()

    - #### valueAdded

          public void valueAdded()

    - #### applyRunLengths

          public ColumnValues applyRunLengths(ValueLength valueLength)

    - #### useRunLength

          protected boolean useRunLength(int count,
                             ValueLength valueLength,
                             ValueLength runLength)

    - #### getRunStart

          public int getRunStart()

    - #### getRunCount

          public int getRunCount()

    - #### getMaxRunLength

          public int getMaxRunLength()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com